version: '3.6'
services:
  proxy:
    image: docker-nginx:76f6c52
    environment:
      - EXTERNAL_SSL: 1
    volumes:
      - ./nginx/default.conf:/etc/nginx/conf.d/default.conf:ro
      - certbot-shared-tls:/etc/nginx/ssl
    ports:
      - 9080:80
      - 9443:443

  certbot:
    image: docker-certbot:a7ff2f4
    environment:
      - NGINX_HOSTNAME=proxy
    volumes:
      - certbot-shared-tls:/shared

volumes:
  certbot-shared-tls: